Package com.gpudb.protocol
Class ShowStatisticsRequest.Options
java.lang.Object
com.gpudb.protocol.ShowStatisticsRequest.Options
Enclosing class:
A set of string constants for the
ShowStatisticsRequest parameter options.
Optional parameters.
Field Summary
FieldsModifier and TypeFieldDescriptionstatic final StringIfTRUE, the columns named by @input.key options.column_names are collected synchronously during this request and reflected in the response.static final StringColumns, per table intableNames, to collect statistics for when @input.key options.collect_now isTRUE; ignored otherwise.static final Stringstatic final StringIfTRUEand if the table names specified intableNamesdoes not exist, no error is returned.static final String
Field Details
NO_ERROR_IF_NOT_EXISTS
IfTRUEand if the table names specified intableNamesdoes not exist, no error is returned. IfFALSEand if the table names specified intableNamesdoes not exist, then an error is returned. Supported values:The default value isFALSE.See Also:COLUMN_NAMES
Columns, per table intableNames, to collect statistics for when @input.key options.collect_now isTRUE; ignored otherwise. Encoded as a ’;‘-separated parallel array aligned withtableNames(e.g. ‘x,y;z’ requests columns x,y for the first table and z for the second). A value of ’*’ expands to every collectable column on each table (geometry, vector, JSON, and array columns are skipped). An explicit list may not be combined with a ’*’ table_names wildcard. The default value is ”.See Also: